Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.so
Interface ISharedObjectSecurityService

All Superinterfaces:
  IScopeService

All Known Subinterfaces:
  ISharedObject

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter, SharedObjectScope

    public interface ISharedObjectSecurityService

extends IScopeService

Service that supports protecting access to shared objects.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Field Summary
`static String` | `BEAN_NAME` Name of a bean defining that scope service.

Method Summary
`Set<ISharedObjectSecurity>` | `getSharedObjectSecurity()` Get handlers that protect shared objects.
`void` | `registerSharedObjectSecurity(ISharedObjectSecurity handler)` Add handler that protects shared objects.
`void` | `unregisterSharedObjectSecurity(ISharedObjectSecurity handler)` Remove handler that protects shared objects.

Field Detail

### BEAN_NAME

    static final String BEAN_NAME

  Name of a bean defining that scope service.

  See Also:
    Constant Field Values

Method Detail

### registerSharedObjectSecurity

    void registerSharedObjectSecurity(ISharedObjectSecurity handler)

  Add handler that protects shared objects.

  Parameters:
    `handler` - Handler to add.

### unregisterSharedObjectSecurity

    void unregisterSharedObjectSecurity(ISharedObjectSecurity handler)

  Remove handler that protects shared objects.

  Parameters:
    `handler` - Handler to remove.

### getSharedObjectSecurity

    Set<ISharedObjectSecurity> getSharedObjectSecurity()

  Get handlers that protect shared objects.

  Returns:
    list of handlers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project